Summary:	Layer on top of PKCS#11 API to make using PKCS#11 implementations easier
Summary(pl.UTF-8):	Warstwa powyżej API PKCS#11 ułatwiająca używanie implementacji PKCS#11
Name:		libp11
Version:	0.4.7
Release:	1
License:	LGPL v2.1+
Group:		Libraries
#Source0Download: https://github.com/OpenSC/libp11/releases
Source0:	https://github.com/OpenSC/libp11/releases/download/%{name}-%{version}/%{name}-%{version}.tar.gz
# Source0-md5:	0902e692c7a5d2b96505913240b33220
URL:		https://github.com/OpenSC/libp11
BuildRequires:	doxygen
BuildRequires:	openssl-devel >= 0.9.8
# for proxy_module detection
BuildRequires:	p11-kit-devel
BuildRequires:	pkgconfig
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%undefine	__cxx

%description
Libp11 is a library implementing a small layer on top of PKCS#11 API
to make using PKCS#11 implementations easier.

%description -l pl.UTF-8
Libp11 to biblioteka implementująca niewielką warstwę na wierzchu API
PKCS#11 mająca ułatwić używanie implementacji PKCS#11.

%package devel
Summary:	Header files for libp11 library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libp11
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	openssl-devel >= 0.9.8

%description devel
Header files for libp11 library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki libp11.

%package static
Summary:	Static libp11 library
Summary(pl.UTF-8):	Statyczna biblioteka libp11
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static libp11 library.

%description static -l pl.UTF-8
Statyczna biblioteka libp11.

%package apidocs
Summary:	API documentation for libp11 library
Summary(pl.UTF-8):	Dokumentacja API biblioteki libp11
Group:		Documentation

%description apidocs
API documentation for libp11 library.

%description apidocs -l pl.UTF-8
Dokumentacja API biblioteki libp11.

%package -n openssl-engine-pkcs11
Summary:	PKCS#11 engine for OpenSSL
Summary(pl.UTF-8):	Silnik PKCS#11 dla OpenSSL-a
Group:		Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	openssl >= 0.9.8

%description -n openssl-engine-pkcs11
engine_pkcs11 is an implementation of an engine for OpenSSL. It can be
loaded using code, config file or command line and will pass any
function call by openssl to a PKCS#11 module. Engine_pkcs11 is meant
to be used with smart cards and software for using smart cards in
PKCS#11 format, such as OpenSC.

%description -n openssl-engine-pkcs11 -l pl.UTF-8
engine_pkcs11 to implementacja silnika dla OpenSSL-a. Może być
wczytany przy użyciu kodu, pliku konfiguracyjnego i linii poleceń;
przekazuje wszystkie wywołania funkcji openssl-a do modułu PKCS#11.
engine_pkcs11 jest przeznaczony do używania z kartami procesorowymi i
oprogramowaniem do używania kart procesorowych w formacie PKCS#11,
takim jak OpenSC.

%prep
%setup -q

%build
%configure \
	--enable-api-doc \
	--disable-silent-rules \
	--with-enginesdir=/%{_lib}/engines
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
cp -af examples/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

# obsoleted by pkgconfig
%{__rm} $RPM_BUILD_ROOT%{_libdir}/libp11.la
# loadable module
%{__rm} $RPM_BUILD_ROOT/%{_lib}/engines/*.la
# packaged as %doc
%{__rm} -r $RPM_BUILD_ROOT%{_docdir}/libp11

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc NEWS README.md
%attr(755,root,root) %{_libdir}/libp11.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libp11.so.2

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libp11.so
%{_includedir}/libp11.h
%{_includedir}/p11_err.h
%{_pkgconfigdir}/libp11.pc
%{_examplesdir}/%{name}-%{version}

%files static
%defattr(644,root,root,755)
%{_libdir}/libp11.a

%files apidocs
%defattr(644,root,root,755)
%doc doc/api.out/html/*

%files -n openssl-engine-pkcs11
%defattr(644,root,root,755)
%attr(755,root,root) /%{_lib}/engines/libpkcs11.so
%attr(755,root,root) /%{_lib}/engines/pkcs11.so
%changelog
* Sat Nov 25 2017 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libp11.git;a=log;h=master

* Fri Nov 24 2017 Jakub Bogusz <qboosh@pld-linux.org> 0d439bb
- new URLs, updated to 0.4.7

* Wed Jul 15 2015 Jan Rękorajski <baggins@pld-linux.org> f98cfa3
- release 2 (by relup.sh)

* Wed Apr 20 2011 Jakub Bogusz <qboosh@pld-linux.org> 4786386
- updated to 0.2.8 (note: new soname)
- dropped libtool file (obsoleted by pkgconfig)

* Mon Jul 19 2010 Elan Ruusamäe <glen@pld-linux.org> da166ad
- up to 0.2.7, new soname

* Wed May 19 2010 sparky <sparky@pld-linux.org> 3bc9e60
- BR: doxygen; don't require c++ compiler

* Mon Apr 12 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 1676aca
- release 2

* Mon Aug 25 2008 Jakub Bogusz <qboosh@pld-linux.org> af5c2a5
- readded ChangeLog

* Mon Aug 25 2008 Jakub Bogusz <qboosh@pld-linux.org> e3d69a0
- updated to 0.2.4

* Sat Jun 14 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 688779e
- rel 2

* Sun Aug 12 2007 Jakub Bogusz <qboosh@pld-linux.org> 75ec75e
- updated to 0.2.3
- require openssl with pkgconfig support (>= 0.9.7)

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 3d21794
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 38532f2
- converted to UTF-8

* Mon Jan 01 2007 Arkadiusz Miśkiewicz <arekm@maven.pl> 8d1f7e6
- rel 2

* Fri Jun 02 2006 Jakub Bogusz <qboosh@pld-linux.org> 82853f7
- updated to 0.2.2

* Tue Mar 21 2006 Jakub Bogusz <qboosh@pld-linux.org> 8a61e2b
- updated URLs

* Mon Jan 09 2006 Jakub Bogusz <qboosh@pld-linux.org> 6e54eeb
- updated Source0 URL

* Thu Nov 24 2005 Jakub Bogusz <qboosh@pld-linux.org> 54c9b03
- added ChangeLog to docs

* Thu Nov 24 2005 Jakub Bogusz <qboosh@pld-linux.org> 5dc760e
- updated to 0.2.1

* Mon Nov 07 2005 Jakub Bogusz <qboosh@pld-linux.org> 38250a5
- updated to 0.2.0

* Wed Oct 12 2005 Jakub Bogusz <qboosh@pld-linux.org> 513d98e
- more specific URL

